PHP-инклюдинг в WordPress myGallery

Дата публикации:
01.05.2007
Всего просмотров:
2294
Опасность:
Высокая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
myGallery 1.x (plugin for WordPress)
Уязвимые версии: myGallery (плагин к WordPress) 1.2.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "myPath" в сценарии myfunctions/mygallerybrowser.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[host]/mygallery/myfunctions/mygallerybrowser.php?myPath=[file]

URL производителя: www.wildbits.de/mygallery/

Решение: Установите последнюю версию (1.4b5) с сайта производителя.

или введите имя

CAPTCHA